#ifdef VHDL_TESTBENCH
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interfaces.h"
#include "Behavioural/include/Entity.h"

namespace morpheo              {
namespace behavioural          {

  void Interfaces::testbench (Vhdl_Testbench * & vhdl_testbench)
  {
    log_printf(FUNC,Behavioural,"testbench","Begin");

    if (_list_interface->empty()== false)
      {
	list<Interface*>::iterator i     = _list_interface->begin();

	while (i != _list_interface->end())
	  {
	    (*i)->testbench(vhdl_testbench);
	    ++i;
	  }
      }

    log_printf(FUNC,Behavioural,"testbench","End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
